@import url('https://fonts.googleapis.com/css2?family=Chakra+Petch:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap');

body {
    font-family: "Chakra Petch", sans-serif;
    background-image: url('./images/wp2521320.webp');
    background-size: cover;
    background-position: center; 
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    justify-content: center; 
    height: 100vh; 
    margin: 0;
    padding: 0;
}

h1 {
    font-size: 2.5rem; 
    color: #181414; 
    text-align: center; 
    letter-spacing: 0.4rem;
    margin-right: 1200px; 
    margin-top: 200px;
}

section {
    display: flex; 
    flex-direction: column; 
    align-items: center; 
    margin-bottom: 3rem; 
}

section input {
    width: 30rem; 
    border: none;
    padding: 1rem; 
    border-radius: 1.5rem; 
    margin-bottom: 1rem; 
    color: #45474B; 
    font-size: 1rem; 
    box-sizing: border-box;
    margin-right: 1200px;
}

section button {
    padding: 0.8rem 1.2rem; 
    border: none; 
    border-radius: 1.5rem; 
    background-color: #272c31; 
    color: #F5F7F8; 
    font-size: 1rem; 
    cursor: pointer; 
    margin-right: 1200px;
}

.resultados-pesquisa {
    width: 60rem; 
    height: 46vh;
    overflow-y: auto; 
    margin-top: 1rem; 
    padding: 1rem;
    border-radius: 0.6rem; 
}

.item-resultado {
    background: #FFFFFF; 
    border-radius: 0.6rem; 
    padding: 1rem; 
    margin-bottom: 1rem; 
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); 
}

.item-resultado h2 {
    font-size: 1.5rem; 
    color: #222831; 
}

.item-resultado a {
    text-decoration: none; 
    color: #30475E;
}

.item-resultado a:hover {
    text-decoration: underline; 
}

.descricao-meta {
    color: #45474B; 
    margin: 0.5rem 0; 
}


footer {
    background-color:  #0e0f10; 
    color: #fff; 
    text-align: center; 
    padding: 0; 
    width: 100%; 
    position: absolute; 
    bottom: 0; 
    font-size: 1rem; 
}
